#include <string>

using namespace std;

#ifndef _Component
#define _Component

class Component
{
private:
	string name_;		// component name/title/label
	string comp_;		// string sent to gnuplot
	string origComp_;	// component string from input args
	float min_, max_;	// min and max range
	string color_;

public:
	Component();
	Component(string, float, float, string);

	void name(string);
	void comp(string);
	void min(float);
	void max(float);
	void color(string);

	string name(void);
	string comp(void);
	float min(void);
	float max(void);
	string color(void);

	void range(float);

};

#endif
